Poloisfej
Contributor
Contributor

Workstation 10.0.5 for Linux fails to build VMCI on kernel 3.18.6

  1. With kernel 3.18.6, Workstation 10.0.5 fails to build the VMCI module:
  2. /tmp/modconfig-G33c6l/vmci-only/linux/driver.c: In function ‘LinuxDriver_Ioctl’:
  3. /tmp/modconfig-G33c6l/vmci-only/linux/driver.c:740:12: error: incompatible types when assigning to type ‘VMCIHostUser’ from type ‘uid_t’
  4.        user = from_kuid(current_user_ns(), current_uid());

  5. Full log available at: Stopping VMware services: VMware Authentication Daemon - Pastebin.com

  6. The following patches are already in use:
  7. - VMCI: http://pkgbuild.com/git/aur-mirror.git/tree/vmware-patch/vmci-10.0.5-3.14.patch
  8. - VMNET: http://pkgbuild.com/git/aur-mirror.git/tree/vmware-patch/vmnet-10.0.5-3.17.patch
  9. - VSOCK: http://pkgbuild.com/git/aur-mirror.git/tree/vmware-patch/vsock-10.0.5-3.15.patch

  10. Is there a new one available for VMCI?
0 Kudos
1 Reply
lv21
Contributor
Contributor

Yeah, would be nice to have one.

0 Kudos